curl --request POST \
--url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"k": 1,
"vector": {
"single_vector": [
123
],
"multi_vector": [
[
123
]
]
},
"identity": {
"api_key": "<string>",
"auth_token": "<string>"
},
"context": {},
"id": [
"<string>"
],
"branch": "<string>",
"bypass_vector_index": true,
"columns": {
"column_names": [
"<string>"
],
"column_aliases": {}
},
"distance_type": "<string>",
"ef": 1,
"fast_search": true,
"filter": "<string>",
"full_text_query": {},
"lower_bound": 123,
"nprobes": 1,
"offset": 1,
"prefilter": true,
"refine_factor": 1,
"upper_bound": 123,
"vector_column": "<string>",
"version": 1,
"with_row_id": true
}
'"<string>"Query a table
Query table id with vector search, full text search and optional SQL filtering.
Returns results in Arrow IPC file or stream format.
REST NAMESPACE ONLY
REST namespace returns the response as Arrow IPC file binary data
instead of the QueryTableResponse JSON object.
A valid request URL is required to generate request examples"<string>"Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
string identifier of an object in a namespace, following the Lance Namespace spec.
When the value is equal to the delimiter, it represents the root namespace.
For example, v1/namespace/$/list performs a ListNamespace on the root namespace.
Query Parameters
An optional delimiter of the string identifier, following the Lance Namespace spec.
When not specified, the $ delimiter must be used.
Body
Query request
Number of results to return
x >= 0Query vector(s) for similarity search. Provide either single_vector or multi_vector, not both.
Show child attributes
Show child attributes
Identity information of a request.
Show child attributes
Show child attributes
Arbitrary context for a request as key-value pairs. How to use the context is custom to the specific implementation.
REST NAMESPACE ONLY
Context entries are passed via HTTP headers using the naming convention
x-lance-ctx-<key>: <value>. For example, a context entry
{"trace_id": "abc123"} would be sent as the header x-lance-ctx-trace_id: abc123.
Show child attributes
Show child attributes
Branch to target. When not specified, the main branch is used.
Whether to bypass vector index
Optional field paths to return. Provide either column_names or column_aliases, not both.
Show child attributes
Show child attributes
Distance metric to use
Search effort parameter for HNSW index
x >= 0Whether to use fast search
Optional SQL filter expression. Field references in the expression must use Lance field path syntax: nested fields use dot-separated segments, literal dots require backtick-quoted segments, and backticks inside quoted segments are doubled.
Optional full-text search query. Provide either string_query or structured_query, not both.
Show child attributes
Show child attributes
Lower bound for search
Number of probes for IVF index
x >= 0Number of results to skip
x >= 0Whether to apply filtering before vector search
Refine factor for search
x >= 0Upper bound for search
Lance field path of the vector field to search. Nested fields use dot-separated segments; use backtick-quoted segments for literal dots and double backticks inside quoted segments. Use canonical full paths for display and errors; leaf names alone only identify top-level fields; invalid or unresolved paths should return InvalidInput or TableColumnNotFound.
1Table version to query
x >= 0If true, return the row id as a column called _rowid
Response
Query results in Arrow IPC file format
The response is of type file.
Was this page helpful?